#> snc:shifters/transfer/lose/shifter
# Kills the entity and gives inherits the shifter, if it can.
#
# @input
#   execute if score @s death matches 1..
#
# @output
#   Entity is killed and the shifter is given to an entity or the world
$function snc:shifters/human/timer/cd {"shifter":$(shifter),"cd_time_hurt":$(cd_time_hurt)}

## Display who killed
# Fanfo
$execute if score curse $(shifter)_vars matches ..0 run tellraw @a ["",{"translate":"aot.titan.$(shifter)","color":"$(color)"}," ",{"translate":"aot.curse.desc1","color":"red"}]

# Shifter
$execute if score curse $(shifter)_vars matches 1.. run tellraw @a ["",{"selector":"@s","color":"white"}," ",{"translate":"aot.curse.desc2","color":"red"}," ",{"translate":"aot.titan.$(shifter)","color":"$(color)"}]

$bossbar remove $(shifter)_health
tag @s remove consume

team leave @s
#scoreboard players reset @s shifter_vars
$execute if score prevent $(shifter)_vars matches 1 run scoreboard players reset @s $(shifter)_vars
$execute if entity @s[tag=inherit] run scoreboard players reset @s $(shifter)_vars
$execute unless entity @s[tag=inherit] unless score prevent $(shifter)_vars matches 1 run scoreboard players reset * $(shifter)_vars
tag @s remove inherit

$advancement revoke @s only snc:shifters/$(shifter)

$execute if score prevent $(shifter)_vars matches 1 run tellraw @a ["Warning: ",{"text":"Server count 2 shifters of the same type!","color":"yellow"}]
$execute unless score prevent $(shifter)_vars matches 1 if score $$(shifter).doesnt.exists shifter_vars matches ..0 run scoreboard players add $$(shifter).doesnt.exists shifter_vars 1

$scoreboard players reset prevent $(shifter)_vars

$scoreboard players set minutes $(shifter)_vars $(time)
$scoreboard players set seconds $(shifter)_vars 1

## execute unless score @s death matches 1 run kill @s